curl -X POST 'https://api.example.com/scope-types' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"name": "Department",
"description": "Department within an organization"
}'
const axios = require('axios');
const { data } = await axios.post('https://api.example.com/scope-types', {
name: 'Department',
description: 'Department within an organization',
}, {
headers: { 'Authorization': 'Bearer YOUR_TOKEN' },
});
{
"id": "type_dept",
"name": "Department",
"description": "Department within an organization"
}
Scope Types
Create Scope Type
Create a new scope type
POST
/
scope-types
curl -X POST 'https://api.example.com/scope-types' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"name": "Department",
"description": "Department within an organization"
}'
const axios = require('axios');
const { data } = await axios.post('https://api.example.com/scope-types', {
name: 'Department',
description: 'Department within an organization',
}, {
headers: { 'Authorization': 'Bearer YOUR_TOKEN' },
});
{
"id": "type_dept",
"name": "Department",
"description": "Department within an organization"
}
Request Body
string
required
Display name for the scope type
string
Description of the scope type
Response
Returns the created scope type object.curl -X POST 'https://api.example.com/scope-types' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"name": "Department",
"description": "Department within an organization"
}'
const axios = require('axios');
const { data } = await axios.post('https://api.example.com/scope-types', {
name: 'Department',
description: 'Department within an organization',
}, {
headers: { 'Authorization': 'Bearer YOUR_TOKEN' },
});
{
"id": "type_dept",
"name": "Department",
"description": "Department within an organization"
}
Was this page helpful?
⌘I